The Archive API supports data procurement for archival data previously captured, supporting recent state and historical analysis.
This typically consists of the following workflow:
- search for available scenes and regions
- confirm details of the scene/region (optional)
- obtain a quote for the scene/region (optional)
- order the scene/region
- await order fulfillment
Each of these steps has a corresponding endpoint to provide the necessary information, with the primary interface based on the STAC API Standard.
Search
Searching follows the convention of STAC collection searches, with support for a limited subset of the filter extension to ensure consistency between upstream data sources for which not all operations are available.
Search is available as a GET or POST operation against the /api/archive/search endpoint.
Search parameters MUST be provided, and the endpoint accepts the following schema
Request
Body
| Key | Description |
|---|---|
| bbox | The bounding box that results must intersect (will be ignored if intersects is instead provided) |
| collections | The collections to query results from. |
| datetime | The date range for results to be within to satisfy this query, separated by a `/`. Dates should be formatted according to RFC3339 (conventional JSON encoding). |
| filter | Further parameter filters to restrict results. The root operation can be `and` or any other supported query. At this time, not all properties are supported for filters, and they are defined below. |
| ids | The list of result IDs to retrieve, will override all other parameters and only return items from this list. |
| intersects | The GeoJSON Geometry that results must intersect (or contain) |
| limit | The limit on the number of results to return. |
Supported Filter Properties
At this time, only the following filter properties and operations are supported
Numeric operations:
The following support the numeric operations of <, <=, >, >=, =, and !=
properties.view:off_nadirproperties.eo:cloud_coverproperties.providers.keyproperties.gsd
String operations:
The following support the = operation
properties.platform_typeproperties.instrument_typeproperties.platform
Array operations:
The following support the = and in operations
properties.instrument_modes
Example:
{
"collections": [
"landsat"
],
"datetime": "2026-05-12T05:12:44Z/2026-07-02T18:24:32Z",
"filter": {
"args": [
{
"args": [
{
"property": "properties.eo:cloud_cover"
},
10
],
"op": "\u003c="
},
{
"args": [
{
"property": "properties.view:off_nadir"
},
3
],
"op": "\u003e="
}
],
"op": "and"
},
"intersects": {
"coordinates": [
[
[
151.2142512,
-33.855988
],
[
151.21637,
-33.8561709
],
[
151.2163022,
-33.8583387
],
[
151.2146072,
-33.8585076
],
[
151.2137766,
-33.8575926
],
[
151.2142512,
-33.855988
]
]
],
"type": "Polygon"
}
}
Response
The response will contain a list of STAC Items consisting of available imagery products, and the details of their intersection with your query.
Body
| Key | Description |
|---|---|
| features | The list of results |
| links | Links to related resources, such as pagination and related endpoints |
| stac_extensions | The extension schemas used in this result list |
| stac_version | The version of the STAC standard these results conform to |
| timestamp | Timestamp of these results generation |
| type | GeoJSON and STAC type attribute Will always be "FeatureCollection" |
Feature result STAC Items
| Key | Description |
|---|---|
| assets | Asset resources associated with the result, for search results, this will generally be their thumbnail |
| collection | The collection this result belongs to, typically its supplier, or a sub-collection thereof |
| geometry | The geometric footprint of the scene and its location on the planet. Will generally be a Polygon. |
| id | Identifier for this orderable scene and its associated query intersection, used to identify the result for accessing further information and ordering |
| links | Links to associated information, such as this items details endpoint, or further information about its capture platform (if available) |
| properties | Properties of the capture |
| stac_extensions | The extension schemas used in this individual result |
| stac_version | The version of the STAC standard these results conform to |
| type | GeoJSON and STAC type attribute Will always be "Feature" |
Common Properties
Most results will have the following properties defined by the STAC Common Properties scheme, as well as several standardized extensions.
| Key | Description |
|---|---|
| bands | The spectral bands this scene includes |
| datetime | The date and time this scene was captured at |
| eo:cloud_cover | The cloud coverage of this scene, as a percent (omitted if not relevant) |
| gsd | The Ground Sample Distance (GSD) of this scene |
| instrument_modes | The mode(s) used to capture this scene |
| instrument_type | The type of instrument used to capture this scene |
| overlap:area | The area of the overlap geometry |
| overlap:geometry | The geometry of the intersection with your search query |
| overlap:scene_coverage | The percentage of the total scene geometry that is overlapped |
| overlap:search_coverage | The percentage coverage of your search query geometry |
| platform | The platform which captured this scene |
| platform_type | The type of platform which captured this scene |
| price:currency | The ISO currency code that the unit price is in |
| price:license_options | List of licenses this scene can be purchased under |
| price:order_levels | List of order levels this scene can be purchased in |
| price:unit_price | The base unit price of this scene, ignoring any coverage based pricing or discounting (see quote endpoint). |
| price:units | The units the pricing is in (i.e. currency/sqkm) |
| providers | The providers for this scene |
| scene | The supplier identifier for this scene |
| view:azimuth | The azimuth angle to the sensor of the scene |
| view:off_nadir | The off nadir angle of the scene |
Example:
{
"features": [
{
"assets": {
"thumbnail": {
"href": "https://.../LC08_L2SP_033033_20180127_20200902_02_T1_SR",
"roles": [
"thumbnail"
],
"type": "image/png"
}
},
"collection": "landsat",
"geometry": {
"coordinates": [
[
[
-105.47718137874126,
39.953092833037395
],
[
-105.98026148727247,
38.23496848914496
],
[
-103.92241772931703,
37.84423658362344
],
[
-103.36903903889984,
39.560688036803874
],
[
-105.47718137874126,
39.953092833037395
]
]
],
"type": "Polygon"
},
"id": "8e68c3188049796a1b275ba6a5d48ede",
"properties": {
"bands": [
{
"eo:center_wavelength": 443,
"eo:full_width_half_max": 20,
"eo:max": 453,
"eo:min": 433,
"name": "Coastal / Aerosol"
},
"..."
],
"datetime": "2018-01-27T17:37:37.659315Z",
"eo:cloud_cover": 30.43,
"gsd": 15,
"instrument_modes": [
"pushbroom"
],
"instrument_type": "multi-spectral",
"overlap:area": 0.0003815502533673676,
"overlap:geometry": {
"coordinates": [
[
[
-105.47718137874126,
39.953092833037395
],
[
"..."
]
]
],
"type": "Polygon"
},
"overlap:scene_coverage": 100,
"overlap:search_coverage": 100,
"platform": "landsat-8",
"platform_type": "satellite",
"price:license_options": [
{
"href": "https://creativecommons.org/licenses/by/3.0/legalcode",
"key": "landsat-cc",
"loadingAmount": 0,
"loadingPercent": 0,
"name": "CC BY 3.0"
}
],
"price:order_levels": [
{
"bands": [],
"key": "landsat-default",
"name": "All Bands",
"price": 100
}
],
"price:unit_price": 350,
"price:units": "sqkm",
"providers": [
{
"key": "landsat",
"name": "landsat",
"roles": [
"producer"
],
"url": ""
}
],
"scene": "LC08_L2SP_033033_20180127_20200902_02_T1_SR",
"view:azimuth": 0,
"view:off_nadir": 0,
"view:sun_azimuth": 154.47646939,
"view:sun_elevation": 154.47646939
},
"stac_extensions": [
"https://docs.arlula.com/schemas/overlap/v1.0.0/schema.json",
"https://docs.arlula.com/schemas/price/v1.0.0/schema.json",
"https://stac-extensions.github.io/eo/v2.0.0/schema.json",
"https://stac-extensions.github.io/view/v1.1.0/schema.json"
],
"stac_version": "1.0.0",
"type": "Feature"
}
],
"links": [
{
"href": "https://.../api/archive/items/8e68c3188049796a1b275ba6a5d48ede",
"rel": "self"
}
],
"numberMatched": 0,
"numberReturned": 160,
"stac_extensions": [
"https://docs.arlula.com/schemas/overlap/v1.0.0/schema.json",
"https://docs.arlula.com/schemas/price/v1.0.0/schema.json",
"https://stac-extensions.github.io/eo/v2.0.0/schema.json",
"https://stac-extensions.github.io/product/v1.0.0/schema.json",
"https://stac-extensions.github.io/view/v1.1.0/schema.json"
],
"stac_version": "v1.0.0",
"type": "FeatureCollection"
}
Scene Details
Individual scene items can be retrieved by their ID to confirm details if only the ID remains available.
Please note, as the ID identifies the details of the search as well, they can become stale and expire. As a result, this endpoint
may return a HTTP 410 Gone status if the item has expired.
The details endpoint for each item is returned as an attached link with the self relation. However, if this link was not retained, it can be accessed via the GET /api/archive/items/{item id} endpoint.
Where {item id} is the id provided in the original result
This will return the STAC Item as retrieved by the search endpoint above
Quote
The Quote endpoint will provide details of the pricing of a given combination of scene, order level and license to allow for accurate pricing of items.
It is available via the GET /api/archive/quote endpoint.
Request
Body
| Key | Description |
|---|---|
| items | Array of archive items to be quoted for. |
Quote Items
| Key | Description |
|---|---|
| id | The id of the item to be quoted |
| license | The license to purchase it under, taken from the `key` property of one of the results `price:license_options` members |
| orderLevel | The order level to purchase it at, taken from the `key` property of one of the results `price:order_levels` members |
Example:
{
"items": [
{
"id": "8e68c3188049796a1b275ba6a5d48ede",
"license": "landsat-cc",
"orderLevel": "landsat-default"
}
]
}
Response
The response will contain a list of line items quotes, as well as the total pricing for the combined items.
Body
| Key | Description |
|---|---|
| items | The list of items quoted, and their individual line item pricing |
| pricing | Aggregate pricing for the quote request |
Items
| Key | Description |
|---|---|
| id | The ordering ID of the item quoted |
| license | the license quoted under |
| orderLevel | The ordering level quoted at |
| pricing | The pricing quoted for this item |
Example:
{
"items": [
{
"id": "8e68c3188049796a1b275ba6a5d48ede",
"license": "landsat-cc",
"orderLevel": "landsat-default",
"pricing": {
"license": 0,
"orderLevel": 1000,
"total": 1000
}
}
],
"pricing": {
"license": 0,
"orderLevel": 1000,
"total": 1000
}
}
Order
Ordering archive items will create an order containing the requested items which can then be managed through the order api.
It is accessed through a call to POST /api/archive/order
Request
Body
| Key | Description |
|---|---|
| coupon | Coupon to apply to the order |
| emails | Emails to receive status updates for the order and its item |
| items | List of items to be ordered |
| payment | Payment account used for the order (if required) |
| team | Team the order should be added to (will be added to the requester directly if omitted) |
| webhooks | Webhooks to receive status updates for the order and its items |
Order Items
| Key | Description |
|---|---|
| id | Order id of scene to purchase |
| level | Order level to purchase the scene at, taken from the `key` property of one of the results `price:order_levels` members |
| license | Key of license to purchase the scene under, taken from the `key` property of one of the results `price:license_options` members |
Example:
{
"items": [
{
"href": "https://creativecommons.org/licenses/by/3.0/legalcode",
"id": "8e68c3188049796a1b275ba6a5d48ede",
"level": "landsat-default"
}
],
"payment": "6912fe74-60d6-458c-b000-9e8854fc440e",
"team": "caf2173a-795e-4c64-bae3-954fa4359955"
}
Response
The response will contain a STAC catalog, containing a STAC Item for each ordered item.
Body
| Key | Description |
|---|---|
| id | ID of the order, used to identify it in all api calls |
| links | List of links to associated resources, including the order itself, and its content tasking campaigns and datasets |
| properties | Properties of the order |
| stac_extensions | The extension schemas used in this result list |
| stac_version | The version of the STAC standard these results conform to |
| title | Title of the order, as it appears in the dashboard |
| type | GeoJSON and STAC type attribute Will always be "Catalog" |
Properties
| Key | Description |
|---|---|
| created | Date and time the order was created at |
| order:date | Date and time the order was created at |
| order:status | Current status of the order |
| paid:amount | Amount (in currency) paid for the order |
| paid:currency | Currency that the amount paid for the order was paid in. |
| updated | Date and time of the most recent update to the order |
Example:
{
"id": "d185277c-8f81-4aa6-9465-aad3f269278c",
"links": [
{
"href": "/api/order/d185277c-8f81-4aa6-9465-aad3f269278c",
"rel": "self",
"title": "This Order",
"type": "application/geo+json"
},
{
"href": "/api/order/d185277c-8f81-4aa6-9465-aad3f269278c/datasets",
"rel": "child",
"title": "All Order Datasets",
"type": "application/geo+json"
},
{
"href": "/api/dataset/1de3bfd8-65e6-42f6-8db7-7c7919d895f7",
"rel": "item",
"title": "Dataset",
"type": "application/geo+json"
}
],
"properties": {
"created": "2026-06-02T23:56:37.140218Z",
"order:date": "2026-06-02T23:56:37.140218Z",
"order:status": "complete",
"paid:amount": 85700,
"paid:currency": "USD",
"updated": "2026-06-02T23:56:50.271228Z"
},
"stac_extensions": [
"https://github.com/radiantearth/stac-spec/blob/master/item-spec/json-schema/datetime.json",
"https://stac-extensions.github.io/order/v1.1.0/schema.json",
"https://docs.arlula.com/schemas/paid/v1.0.0/schema.json"
],
"stac_version": "v1.0.0",
"title": "example Landsat order",
"type": "Catalog"
}
Fulfillment and Next Steps
Archive fulfillment can take varying amounts of time depending on the supplier.
The status of the order as a whole, as well as its contained items can be reviewed through the orders api using
the order get and dataset get endpoints respectively.